Refresh Token - Basic

Get a new access token

📘

Europe (EU), Canada (CA), and Australia (AU) Base URLs

EU - https://{talkdesk-account-name}.talkdeskid.eu/oauth/token

CA - https://{talkdesk-account-name}.talkdeskidca.com/oauth/token

AU - https://{talkdesk-account-name}.talkdeskid.au/oauth/token

👍

Access and RegistrationAuthentication

Client Authentication

The requests made to the token service must be signed - leveraging HTTP Basic Authentication and Base64 encoding the client_id and client_secret:

$ echo -n '<client_id>:<client_secret>' | openssl base64
PGNsaWVudF9pZD46PGNsaWVudF9zZWNyZXQ+
require 'base64'

Base64.strict_encode64('<client_id>:<client_secret>')
# PGNsaWVudF9pZD46PGNsaWVudF9zZWNyZXQ+
import base64

base64.b64encode('<client_id>:<client_secret>')
# PGNsaWVudF9pZD46PGNsaWVudF9zZWNyZXQ+
echo -n 'clientId:clientSecret' | base64
$b  = [System.Text.Encoding]::UTF8.GetBytes("clientId:clientSecret")
❗️

App Listing

To list an app on AppConnect, a signed JWT must be used for additional security when retrieving a token.

Body Response - Schema

200 (the access token - and optional refresh token - generated, along with some additional properties about the authorization)

ParameterTypeDescriptionRequired
access_tokenstringthe access tokenyes
token_typestringThe type of token to be specified in the authorization header. Default: Bearer.yes
expires_inintegerduration of time (seconds) the access token is granted foryes
scopestringA space-separated list of scopes (URL encoded) the client requested access to. If the "scope" parameter is not provided in the request body parameter, the returned value will be the list of scopes the client granted.yes
refresh_tokenstringThe refresh token used to obtain another access token. Required only when using "authorization_code" and "refresh_token" grant types.no
sidstringThe session ID of the user authenticated during the authorization code flow. Required only when using "authorization_code" and "refresh_token" grant types.no
id_tokenstringThe ID token (OpenID Connect functionality to return information about the authentication performed during the authorization code flow). Required only when using "authorization_code" grant type and if "openid" scope was included in the "scope" parameter provided in the "/oauth/authorize" request query parameter.no

400 (bad request), 401 (unauthorized)

ParameterTypeDescriptionRequired
errorstringn/ayes
error_descriptionstringn/ayes
🚧

Troubleshooting

If you have questions or technical issues, please open a ticket using this form.

Access Token Request

Form Data
string
required
Defaults to refresh_token

The grant type used for authentication

string

A space-separated list of scopes (URL encoded) the client is requesting access to. Whenever a new access token is being issued using "refresh_token" grant type, the requested scope must not include additional scopes that were not issued in the original access token and, if omitted, the new access token will be issued with the same scope as was previously issued

string
required

Refresh token previously issued in the authorization code flow

Headers
string
Defaults to ZWIyNjkxMT2zOGF5ZFE=

Authorization header containing the client authentication, supported via HTTP Basic Auth with the client’s client_id and client_secret

Responses

Language
URL
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json